## mingw-w64-siesta-5.4.1-3.src.tar.zst

=== Util/CMakeLists.txt ===
# Utilities
if( SIESTA_TESTS )
  enable_testing()
endif()

add_subdirectory("TS/TBtrans")
add_subdirectory("TS/PHtrans")
add_subdirectory("TS/tscontour")
add_subdirectory("TS/ts2ts")
add_subdirectory("Contour")
add_subdirectory("Contrib/APostnikov")
add_subdirectory("Gen-basis")
add_subdirectory("Eig2DOS")
add_subdirectory("COOP")
add_subdirectory("Vibra/Src")
add_subdirectory("Denchar/Src")
add_subdirectory("DensityMatrix")
add_subdirectory("Bands")
add_subdirectory("Grid")
add_subdirectory("Grimme")
add_subdirectory("Helpers")
add_subdirectory("HSX")
add_subdirectory("JobList/Src")
add_subdirectory("WFS")
add_subdirectory("VCA")
add_subdirectory("Lindhard")
add_subdirectory("Macroave/Src")
add_subdirectory("ON")
add_subdirectory("Optical")
add_subdirectory("Optimizer")
add_subdirectory("PEXSI")
add_subdirectory("Projections")
add_subdirectory("pdosxml")
add_subdirectory("libsiestaqmmm")
add_subdirectory("QMMM-driver")
add_subdirectory("SpPivot")
add_subdirectory("Unfolding/Src")
add_subdirectory("STM/ol-stm/Src")
add_subdirectory("STM/simple-stm")
add_subdirectory("Sockets")
add_subdirectory("SiestaSubroutine")
add_subdirectory("sies2arc")
