=== Util/QMMM-driver/CMakeLists.txt ===
add_subdirectory("Src")

if( SIESTA_TESTS )
 add_subdirectory("Tests")
endif()
